Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZPersistentObject Member List

This is the complete list of members for eZPersistentObject, including all inherited members.

$AlwaysAvailable | eZPersistentObject |
$AutoRateValue | eZPersistentObject |
$CanTranslate | eZPersistentObject |
$Category | eZPersistentObject |
$ClassID | eZPersistentObject |
$Code | eZPersistentObject |
$contentobject_attribute_id | eZPersistentObject |
$contentobject_id | eZPersistentObject |
$ContentObjectID | eZPersistentObject |
$ContentObjectIsPublished | eZPersistentObject |
$ContentObjectStateGroupID | eZPersistentObject |
$ContentObjectVersion | eZPersistentObject |
$Created | eZPersistentObject |
$CurrencyCode | eZPersistentObject |
$CurrentVersion | eZPersistentObject |
$CustomRateValue | eZPersistentObject |
$DataFloat1 | eZPersistentObject |
$DataFloat2 | eZPersistentObject |
$DataFloat3 | eZPersistentObject |
$DataFloat4 | eZPersistentObject |
$DataInt1 | eZPersistentObject |
$DataInt2 | eZPersistentObject |
$DataInt3 | eZPersistentObject |
$DataInt4 | eZPersistentObject |
$DataText1 | eZPersistentObject |
$DataText2 | eZPersistentObject |
$DataText3 | eZPersistentObject |
$DataText4 | eZPersistentObject |
$DataText5 | eZPersistentObject |
$Depth | eZPersistentObject |
$DiscountValue | eZPersistentObject |
$Email | eZPersistentObject |
$ID | eZPersistentObject |
$Identifier | eZPersistentObject |
$InitialLanguageID | eZPersistentObject |
$IsActive | eZPersistentObject |
$IsArchived | eZPersistentObject |
$IsHidden | eZPersistentObject |
$IsInvisible | eZPersistentObject |
$IsTemporary | eZPersistentObject |
$IsVATIncluded | eZPersistentObject |
$ItemCount | eZPersistentObject |
$LanguageID | eZPersistentObject |
$LanguageMask | eZPersistentObject |
$Locale | eZPersistentObject |
$Main | eZPersistentObject |
$MainKey | eZPersistentObject |
$MainNodeID | eZPersistentObject |
$MementoKey | eZPersistentObject |
$Modified | eZPersistentObject |
$ModifiedSubNode | eZPersistentObject |
$ModifierID | eZPersistentObject |
$Name | eZPersistentObject |
$NavigationPartIdentifier | eZPersistentObject |
$NodeID | eZPersistentObject |
$OrderID | eZPersistentObject |
$OwnerID | eZPersistentObject |
$ParentNodeID | eZPersistentObject |
$PathIdentificationString | eZPersistentObject |
$PathString | eZPersistentObject |
$PersistentDataDirty | eZPersistentObject |
$PolicyID | eZPersistentObject |
$Price | eZPersistentObject |
$Priority | eZPersistentObject |
$ProductCollectionID | eZPersistentObject |
$Published | eZPersistentObject |
$RateFactor | eZPersistentObject |
$rating | eZPersistentObject |
$rating_average | eZPersistentObject |
$rating_count | eZPersistentObject |
$RemoteID | eZPersistentObject |
$SectionID | eZPersistentObject |
$SerializedDataText | eZPersistentObject |
$SerializedDescriptionList | eZPersistentObject |
$SortField | eZPersistentObject |
$SortOrder | eZPersistentObject |
$Status | eZPersistentObject |
$Symbol | eZPersistentObject |
$URLAliasName | eZPersistentObject |
$UserID | eZPersistentObject |
$Values | eZPersistentObject |
$VATValue | eZPersistentObject |
$WorkflowEventPos | eZPersistentObject |
__construct( $row=null) | eZPersistentObject |
attribute( $attr, $noFunction=false) | eZPersistentObject |
attributes() | eZPersistentObject |
conditionText( $conditions) | eZPersistentObject | static
conditionTextByRow( $conditions, $row) | eZPersistentObject | static
count( $def, $conds=null, $field=null) | eZPersistentObject | static
definition() | eZPersistentObject | static
escapeArray( $array) | eZPersistentObject | static
eZPersistentObject( $row=null) | eZPersistentObject |
fetchObject( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null) | eZPersistentObject | static
fetchObjectList( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null) | eZPersistentObject | static
fill( $row) | eZPersistentObject |
getShortAttributeName( $db, $def, $attrName) | eZPersistentObject | static
handleRows( $rows, $class_name, $asObject) | eZPersistentObject | static
hasAttribute( $attr) | eZPersistentObject |
hasDirtyData() | eZPersistentObject |
newObjectOrder( $def, $orderField, $conditions) | eZPersistentObject | static
remove( $conditions=null, $extraConditions=null) | eZPersistentObject |
removeObject( $def, $conditions=null, $extraConditions=null) | eZPersistentObject | static
reorderObject( $def, $orderField, $conditions, $down=true) | eZPersistentObject | static
replaceFieldsWithLongNames(eZDBInterface $db, array $fieldDefs, &$fields) | eZPersistentObject | protected static
replaceFieldsWithShortNames(eZDBInterface $db, array $fieldDefs, &$fields) | eZPersistentObject | static
setAttribute( $attr, $val) | eZPersistentObject |
setHasDirtyData( $hasDirtyData) | eZPersistentObject |
store( $fieldFilters=null) | eZPersistentObject |
storeObject( $obj, $fieldFilters=null) | eZPersistentObject | static
swapRow( $table, $keys, $order_id, $rows, $id1, $id2) | eZPersistentObject | static
sync( $fieldFilters=null) | eZPersistentObject |
updateObjectList( $parameters) | eZPersistentObject | static

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.